# encoding daemon

# written by jacob jarick for the WiiCR project.

# license = gpl
# author = jacob jarick, mem.namefix@gmail.com , mem on #wiidev @ efnet

# ===============================================================================================================================================================
# vars and libs
# ===============================================================================================================================================================

use IO::Handle;
STDOUT->autoflush(1);

our $dir = $0;

$dir =~ s/\\/\//g;
if($dir =~ /\//)
{
	$dir =~ s/^(.*)\/(.*?)$/$1/;
}
else
{
	$dir = cwd();
}

do "$dir/subs.pm";
do "$dir/config.pl" or die "ERROR: !! couldnt load $dir/config.pl";
#&set_global_vars;

$version = "0.4.3";

# ===============================================================================================================================================================
# main
# ===============================================================================================================================================================

if(!-d $flv_local_dir)
{
	print "\n\n!!! ERROR: \$flv_local_dir = \"$flv_local_dir\"\n___ \$flv_local_dir does not exist or the path is incorrect recheck your config.dat.\n\n\n>>> enc_daemon will exit in 10 seconds.";
	sleep 10;
	exit 0;
}

print "\n\n>>> WiiCR Encode Daemon $version Starting\n\n";

chdir $work_dir;

$c = 0;
while ()
{
	$c++;
	opendir(DIR, "$work_dir") or die "\n\n\n\>>> ERROR: couldnt open: $work_dir\n___ Check that your path is correct and check that work directory exists (if it doesnt create it).";
	@dir = readdir(DIR);
	close(DIR);
	
	if($c == 1)
	{
		print ">>> WiiCR Encode Daemon $version running, waiting for jobs\n\n";
	}
	for (@dir)
	{
		if($_ =~ /\.(bat|sh)$/i)
		{
			print "\n\n>>> Found job \"$_\" , executing\n";
			system("$sys_shell $_");
			print "\n>>> Deleting $_\n";
			unlink("$_");
			print ">>> Done\n\n";
			last;
		}
	}
	sleep 2;
	print ".";
}